@import "../theme";

@myhordes-badge-color: rgb(77, 80, 97);
div.tooltip.badge-tooltip {
    background: @myhordes-badge-color; outline: 1px solid darken(@myhordes-badge-color, 20%); border: 2px solid lighten(@myhordes-badge-color, 20%);
    color: white;
    &>b { display: block; font-size: 1.2em; border-bottom: 1px solid wheat; color: wheat; margin-bottom: 3px; }
}

#users-list-soul, #pm-users-list-container, #pm-add-users-list-container {
    position: relative; overflow: visible;
    #users-list, #pm-users-list, #pm-add-users-list {
        position: absolute; margin: 0; display: block; background: @myhordes-cell-header-background-color;
        width:300px; max-height: 200px; overflow: auto; z-index: 1; border: 1px solid @myhordes-smalltext;
        outline: 1px solid black; box-shadow: 0 0 3px black;
        &:empty { visibility: hidden; }

        .users-list-entry {
            margin-bottom: 4px; margin-right: 4px; cursor: pointer;
            &:hover { background: rgba(255,255,255,0.2); }
            div { text-overflow: ellipsis; cursor: pointer; font-size: .8em; font-variant: unset; text-transform: none; }
        }
    }

    input#users-search:not(.block) { width: 20rem; display: inline; }
}

.soul {

    .me {
        margin-top: -21px; // Cancel tabs margin-bottom for soul page
    }

    .header:not(.row):not(.row-flex) {
        padding: 9px 4px 10px 8px !important;
    }

    .skills {
        .bar {
            max-width: 614px; height: 32px; margin: 10px auto 0; padding-left: 3px; padding-right: 3px;

            .progresstext {
                background: url('../../img/soul/heroUp_front.gif') round;
                max-width: 614px; height: 32px; line-height: 32px; z-index: 2; position: relative;
                color: #f0d79e; text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
                .text { visibility: hidden; }
            }

            .progressbar {
                background: url('../../img/soul/heroUp_bg.gif') round;
                max-width: 614px; height: 30px; overflow: hidden; padding-left: 25px; padding-right: 5px; margin-top: -31px;
                img { height: 32px; }
            }
        }

        .heroProgress {
            color: #f0d79e; background-color: #4d5537; border: 1px solid #ddab76; outline: 2px solid #5c2b20;
            text-align: center; margin-top: 4px; font-size: 1.2rem;
            strong { display: block; font-size: 2rem; color: white; }
        }

        .skillBack {
            padding-bottom: 10px; margin-bottom: 10px; border-bottom: 1px dashed #ddab76;
            label { max-width: 250px; }
        }
    }

    .distinctions {
        max-width: 270px; background: url("../../img/soul/rewardsBg_header.gif") top/100% no-repeat;
        padding-bottom: 0 !important; margin-left: 3px;

        .distinctions-head {
            padding-top: 45px; color: #f0d79e; font-variant: small-caps; font-weight: bold; font-size: 2rem;
        }

        .distinctions-list {
            padding: 0 10px; min-height: 100px;
            .overall { color: #FF8866; font-size: 2.4rem; margin-top: 5px; }

            .empty {
                border: 1px dashed #823D2D; color: #FF8866; padding: 10px; font-size: 1.2rem; font-style: italic;
                margin-top: 10px;
            }

            .picto { display: inline-block; width: 32px; height: 32px; font-size: 1rem; padding-top: 3px; }
            .rare { background: url("../../img/pictos/rewardBg_rare.gif") no-repeat; }

            .counter {
                margin-top: -10px;
                .count {
                    background: url("../../fonts/fontBitmap.png") no-repeat; line-height: 0; font-size: 0; width: 5px; height: 8px; display: inline-block;
                    .pictoBitmapFont(@o:0px;@m:9;@i:0) when (@i = 1) { &[title="@{i}"]{ background-position: -@o 0;} .pictoBitmapFont(@o+4,@m,@i+1); }
                    .pictoBitmapFont(@o:0px;@m:9;@i:0) when (@i <= @m) and not (@i = 1) { &[title="@{i}"]{ background-position: -@o 0;} .pictoBitmapFont(@o+5,@m,@i+1); }
                    .pictoBitmapFont();
                }
            }
        }

        .distinctions-foot {
            background: url("../../img/soul/rewardsBg_footer.gif") bottom/100% no-repeat; height: 44px;
            margin-top: -22px;
        }
    }

    .night {
        width: auto; height: 230px; position: relative; font-size: 0; background: url("../../img/soul/soul_night.jpg") no-repeat right top;
        background-size: cover;

        &>.badge {
            top: 30px;
            width: 64px; height: 64px; padding: 0; margin: 10px; display: inline-block; border: 1px solid @myhordes-badge-color;
            background: fade(@myhordes-badge-color,60%); box-shadow: 0 0 5px rgba(0,0,0,0.9); position: relative;
            backdrop-filter: blur(3px); -webkit-backdrop-filter: blur(3px);
            &>div:first-child {
                height: 48px; width: 48px; position: absolute; top: 8px; left: 8px;
                transition: outline-color 0.5s ease-in-out, background-color 0.5s ease-in-out;
                background: @myhordes-badge-color; outline: 1px solid lighten(@myhordes-badge-color,10%); font-size: 32px;
                &>i.fa,svg { margin-top: 8px; }
            }

            &.badge-admin-master>div:first-child { color: #e1ad00; }
            &.badge-admin:hover>div:first-child, &.badge-admin-master:hover>div:first-child { background: #006495; outline-color: #007cb9; }
            &.badge-crow:hover>div:first-child { background: #950000; outline-color: #b90000; }
            &.badge-twinoid>div:first-child:before { content: " "; position: absolute; top: 4px; left: 4px; bottom: 4px; right: 4px; background: url(../../img/badges/twinoid.png) center/contain no-repeat; }
            &.badge-eternal>div:first-child:before { content: " "; position: absolute; top: 4px; left: 4px; bottom: 4px; right: 4px; background: url(../../img/badges/eternal.png) center/contain no-repeat; }
        }
    }

    .score, .current {
        margin-top: 6px; margin-bottom: 10px; padding: 3px; font-weight: bold; background-color: #5c2b20;
        border: 1px solid #ddab76; font-size: 1.2rem;
        strong { color: #f0d79e; }
    }

    .score {
        color: #ddab76; font-variant: small-caps;
        strong { font-size: 1.4rem; }
    }

    .current {
        color: #f0d79e;
        em { color: #ddab76; font-style: normal; font-size: 1rem; }
        strong { color: #f0d79e; font-variant: small-caps; }
    }

    .town-history .header { font-size: 8pt; }
    .skills-history > .header, .season-ranking > .header { font-size: 10pt; }

    .town-history,
    .skills-history,
    .season-ranking{
        .header {
            font-weight: bold;
            font-family: "Trebuchet MS", "Arial",Verdana, sans-serif;
            padding-bottom: 0 !important;
            color: white;
            border-bottom: 2px solid #f0d79e;
            background: linear-gradient(to top, #643b25 0%, rgba(100, 59, 37, 0) 50%, rgba(100, 59, 37, 0) 100%);
        }

        .type-list {
            list-style-type: none;
            margin: 0;
            padding: 0;
            background: #2c0e00;
            font-size: 1rem;
            border-bottom: 1px solid #ddab76;
            li {
                display: inline-block;
                font-variant: small-caps;
                padding: 0 3px;
                margin: 0 0 3px 2px;
                background-color: #7e4d2a;
                border: 1px solid #ddab76;
                &.selected {
                    .link { color: white };
                    background-color: #5c2b20;
                    border-color: white;
                }
            }
        }

        .town-container,
        .skills-container {
            background-color: #5c2b20;
            .row-flex:nth-child(odd) {
                background-color: #663024;
            }

            .row-flex:nth-child(even) {
                background-color: #5c2b20;
            }

            .row-flex.played {
                background-color: #3b3249;
            }

            .row-flex.hardcore {
                background-color:#773939;
            }

            .row-flex.custom {
                background-color:#3b3249;
            }
            border-bottom: 1px solid #ddab76;

            .town-name {
                font-size: 1.2rem;
                border-left: 1px solid #7e4d2a; border-right: 1px solid #7e4d2a; border-bottom: 1px solid #7e4d2a;
                .comment {
                    color: #ddab76; font-size: 1.1rem;
                    .add-comment { text-decoration: underline; }
                    &:not(.read-only):hover { color: white; }
                }
            }

            .season { border-bottom: 1px solid #7e4d2a; }

            .town-days { color: #f0d79e; border-right: 1px solid #7e4d2a; border-bottom: 1px solid #7e4d2a; }
            .town-points { color: #afacc1; border-bottom: 1px solid #7e4d2a; }

            .empty {
                font-size: 1.2rem; margin-top: 5px; padding: 5px; font-variant: small-caps;
                color: #f86; font-weight: bold;
            }

            .hardcore {
                .town-name, .town-days { color: #f86; }
            }

            &.skills-container {
                .skillRow { border-bottom: 1px solid #7e4d2a; }
                .desc { font-size: 9pt; color: #f0d79e; min-height: 34px; border-left: 1px solid #7e4d2a; }
                .currentSkill {
                    background: #3b3249;
                    .desc { font-style: italic; }
                }
            }
        }
    }

    .rp-list {
        .rp-head {
            .rp-context { margin-top: 10px; }
            h5 { color: white; }
        }
        .rp-row {
            font-size: 1.3rem; background: #5c2b20; border-right: 1px solid #7e4d2a; border-bottom: 1px solid #7e4d2a;
            cursor: pointer; text-decoration: underline;
            &:hover { color: lighten(@myhordes-smalltext, 20%); background: #965C36; }
                
            .rp-text {
                .title { color: #f0d79e; }
                em { font-size: 1.2rem; color: @myhordes-smalltext; }
            }
            &.new {
                font-weight: bold;
                .title {
                    color: white;
                }
            }
        }
    }

    .view-town {
        .citizens-list {
            font-size: 1.2rem;
            .header { font-size: 1.4rem }
            .town-points { color: #afacc1; font-size: 2rem; }
            .me {
                margin-top: 0;
            }
        }
    }

    .language-picker {
        display: flex; justify-content: space-between;
        .note { width: 24%; flex-basis: 24%; }
    }

    ul.group-conversation.announcement {
      padding: 0;
      &>li {
        list-style: none; margin: 20px; box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
        background: #5c2b20; padding: 10px; border: 1px solid #704328;
        h1 { color: @myhordes-smalltext; margin: 0 0 5px 0; padding: 0 0 5px 0; border-bottom: 1px solid rgba(0,0,0,0.2); }
        &>p:only-child { margin: 5px 0 10px 0; font-size: 1.5rem; }
        .pm-message-footer {
          padding: 5px 0; border-top: 1px solid rgba(0,0,0,0.2); color: @myhordes-smalltext;
          .pm-announcement-sender { font-weight: bold }
          .pm-announcement-date { opacity: 0.7; }
        }
      }
    }

    .pm-endless-more {
      text-align: center; color: @myhordes-smalltext; margin: 10px 5px; padding: 2px 0; cursor: pointer;
      border-top: 1px solid fade(@myhordes-smalltext, 50%); border-bottom: 1px solid fade(@myhordes-smalltext, 50%);
    }

    .news {
        margin: 0 15px;
        .head {
            background: url('../../img/underDevBanner.gif') center/contain no-repeat;
            height: 181px;

            .title {
                padding-top: 150px; text-transform: uppercase; color: #fff595; font-weight: bold;
                font-size: 2rem;
                img {
                    vertical-align: baseline;
                    &:first-child { margin-right: 5px; }
                    &:last-child { margin-left: 5px; }
                }
                &.old { color: #f1c872; }
            }

        }

        .version {
            text-align: center; color: #ddab76; font-weight: bold; font-size: 1.2rem; text-transform: uppercase;
            margin-bottom: 10px;
        }

        .version-list {
            padding: 5px 5px 5px 10px; margin-bottom: 20px; background-color: #5c2b20; font-size: 1rem; color: #f0d79e;
            p { margin: 0; }
        }

        .forum-post {
          background: #5c2b20; padding: 10px 0 0 10px; border: 1px solid #704328;
        }
        .content {
            padding: 5px 5px 5px 110px; background: url('../../img/help/pipWelcome.gif') no-repeat #5c2b20;
            color: #ddab76; margin-bottom: 10px; border: none;
            &>p:only-child {margin: 0}
        }
    }

    .seasonHeader {
        background: url(../../img/rankingSeasons.png) top center;
        height: 134px;
        .seasonName,
        .seasonNumber {
            position: absolute;
            display: block;
            width: 100%;
            text-align: center;
            font-weight: bold;
        }

        .seasonNumber {
            color: black;
            font-size: 1.5rem;
            margin-top: 80px;
            .number {
                font-size: 2rem;
            }
        }
        .seasonName {
            margin-top: 50px;
            font-variant: small-caps;
            color: #dbc9ae;
        }
    }
}

.importSoulBanner {
    background: url(../../img/professions/select/pipWelcome.gif) left 2px bottom 40px no-repeat, #5c2b20;
    padding: 2px 4px 2px 102px; border: 1px solid #ddab76; outline: 1px solid black;
    &>p { text-align: justify; color: #ddab76 }
    &>h4 { margin-left: -100px; text-align: center; color: #ddab76; }
}

.eternalMergeBanner {
    background: #5c2b20;
    padding: 4px; border: 1px solid #ddab76; outline: 1px solid black;
    text-align: justify; color: #ddab76;
}

ul.coa-users {
    padding: 0; margin: 4px 0 8px;
    >li {
        margin: 1px 0; padding: 5px 0; border-bottom: 1px dashed #ddab76; list-style: none;
        font-size: 0.8em; line-height: 0.9em;
        &.my-entry { background: #3b3249 }
        & span { font-size: 0.7em; i { color: #ddab76 } }
        & br { 
            content: "";
            display: block;
            margin-bottom: 0.3em;
        }
        .username { 
            text-decoration: none;
            background-color: #5C0000 !important;
            border-top: 1px solid #98341c !important;
            border-radius: 4px !important;
            padding-right: 5px !important;
            padding-left: 5px !important;
            color: #f0d79e !important;
            font-weight: bold !important;
        }
    }
}

.season_access_text {
  margin-top: 20px;
  margin-left: 8px;
  font-size: 85%;
}

.season_access_select {
  margin-left: 10px;
}

.citizen-list {
  margin: 0; padding: 0;
  &>li {
    font-size: 1.2rem; font-weight: bold;
    &>img {vertical-align: middle;}
  }
}

.season_entry_td { border-right: 1px solid #7e4d2a; border-bottom: 1px solid #7e4d2a; }

.season_entry_container { border-bottom: 1px solid #7e4d2a; }

.season_entry_solo.top5 { max-height: 25px; }
.season_entry_solo.top5plus { max-height: 18px; }

.soul_season_flag { overflow-y: hidden; overflow-x: hidden;}

.soul_season_name { padding-left: 5px; }
.season_entry_solo { font-size: 80%; }

.top5 {
  &>.soul_season_flag > img { width: 32px; height: 25px; }
  &>.soul_season_name { font-size: 120%; }
  &>.soul_season_points {
    font-size: 150%; /* on hordes, normal is 10pt and major 14pt */
  }
}

.top5plus > .soul_season_flag > img {
  width: 23px; height: 18px;
}

.soul_season_link {
  text-decoration: none !important;
  font-size: 120%; padding-top: 5px; color: #ddab76; font-weight: bold;
}

